### Constructor

# Gtk Buttonnew_with_mnemonic

#### Declaration [src]

    GtkWidget*
    gtk_button_new_with_mnemonic (
      const char* label
    )

#### Description [src]

Creates a new `GtkButton` containing a label.

If characters in `label` are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use “__” (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. Pressing `Alt` and that key activates the button.

#### Parameters

`label`

  Type: `const char*`

  The text of the button, with an underscore in front of the mnemonic character.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkButton`

The data is owned by the called function.